From 28c7d7bebc5c9f57251c05ec0cbffe052061f81a Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 10 Aug 2017 23:33:47 -0400
Subject: [PATCH v3 4/9] Add PostgreSQL version to coverage output

Also make overriding the title easier.  That helps telling where the
report came from and labeling different variants of a report.
---
 src/Makefile.global.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index c0a88c9152..1a0faf9023 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -893,9 +893,12 @@ coverage: $(local_gcda_files:.gcda=.c.gcov)
 .PHONY: coverage-html
 coverage-html: coverage-html-stamp
 
+GENHTML_FLAGS = --show-details --legend
+GENHTML_TITLE = PostgreSQL $(VERSION)
+
 coverage-html-stamp: lcov_base.info lcov_test.info
 	rm -rf coverage
-	$(GENHTML) --show-details --legend --output-directory=coverage --title=PostgreSQL --num-spaces=4 --prefix=$(abs_top_srcdir) $^
+	$(GENHTML) $(GENHTML_FLAGS) -o coverage --title='$(GENHTML_TITLE)' --num-spaces=4 --prefix='$(abs_top_srcdir)' $^
 	touch $@
 
 LCOV += --gcov-tool $(GCOV)
-- 
2.14.1

